Toggle availability of sidebar on menu item selection.

### Hierarchy

- MenuSelectionDirective

## Index

### Constructors

- constructor

### Methods

- onMenuSelect

## Constructors

### constructor

- new MenuSelectionDirective(elementRef: ElementRef<any>, renderer: Renderer2): MenuSelectionDirective

- - Defined in src/app/shared/_directives/menu-selection.directive.ts:8

  Handle click events on the html element.

  #### Parameters

  - ##### elementRef: ElementRef<any>

    A wrapper around a native element inside of a View.

  - ##### renderer: Renderer2

    Extend this base class to implement custom rendering.

  #### Returns MenuSelectionDirective

## Methods

### onMenuSelect

- onMenuSelect(): void

- - Defined in src/app/shared/_directives/menu-selection.directive.ts:25

  Toggle the availability of the sidebar.

  #### Returns void

Generated using TypeDoc